import { C as r } from "./9869e60a.js";
import { a0 as o, V as e, P as i, bh as u, bm as b, bk as p, ba as s, bb as y, gt as d, bd as l, gu as m, ez as c } from "./684d2f28.js";
import { Button100 as C } from "./926d8ea1.js";
import "react";
import "./b1144c16.js";
import "react-dom";
import "./d6402597.js";
const B = o("table.columnValueTooltip"), V = [{
  label: o("table.primaryButton"),
  value: "primary"
}, {
  label: o("table.defaultButton"),
  value: "default"
}], P = function() {
  const a = {
    text: s,
    buttonType: y(V, "primary"),
    onClick: d,
    loading: l,
    disabled: l
  };
  return new r(a, (t) => /* @__PURE__ */ e(() => {
    const n = m(c);
    return /* @__PURE__ */ e(C, {
      type: t.buttonType,
      onClick: t.onClick,
      loading: t.loading,
      disabled: t.disabled,
      $buttonStyle: t.buttonType === "primary" ? n : void 0,
      children: t.text ? t.text : " "
    });
  }, {}), (t) => t.text.value).setPropertyViewFn((t) => /* @__PURE__ */ i(u, {
    children: [t.text.propertyView({
      label: o("table.columnValue"),
      tooltip: B
    }), t.buttonType.propertyView({
      label: o("table.type"),
      radioButton: !0
    }), b(t), p(t), t.onClick.propertyView({
      label: o("table.action"),
      placement: "table"
    })]
  })).build();
}();
export {
  P as ButtonComp,
  B as ColumnValueTooltip
};
